## steam-screensaverfix 0.1.1

=== Makefile ===
all: lib32/steam_screensaverfix.so lib64/steam_screensaverfix.so

CC64=x86_64-linux-gnu-gcc
CC32=i686-linux-gnu-gcc

lib32/steam_screensaverfix.so:
	mkdir -p lib32
	$(CC32) -shared -fPIC -ldl -m32 -o lib32/steam_screensaverfix.so fix_steam_screensaver.c

lib64/steam_screensaverfix.so:
	mkdir -p lib64
	$(CC64) -shared -fPIC -ldl -m64 -o lib64/steam_screensaverfix.so fix_steam_screensaver.c

clean:
	rm -Rf lib32 lib64

=== debian/changelog ===
steam-screensaverfix (0.1.1) bullseye-jotti; urgency=low

  * Correct i386 build dependencies.

 -- Jordi Bosveld <jordi@jotti.nl>  Sun, 5 Feb 2023 21:13:46 +0100

steam-screensaverfix (0.1) bullseye-jotti; urgency=low

  * Initial release. 

 -- Jordi Bosveld <jordi@jotti.nl>  Fri, 20 Jan 2023 13:25:46 +0100

=== debian/control ===
Source: steam-screensaverfix
Section: custom
Priority: optional
Maintainer: Jordi Bosveld <jordi@jotti.nl>
Build-Depends: debhelper-compat (= 12), crossbuild-essential-i386, libc6-i386 | libc6:i386
Standards-Version: 4.5.0

Package: steam-screensaverfix
Architecture: amd64
Depends: libc6
Recommends: libc6:i386
Description: Fix for Steam's sleep/powersave block
 This works around Steam blocking DPMS/screensaver while loaded. This
 is actually an SDL feature that Valve could/should disable.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  

override_dh_dwz:

override_dh_strip:
	dh_strip --no-automatic-dbgsym
